Jump to content

Leaders!!


CadTechJGC184

Recommended Posts

Ok, I want to be able to just do a simple leader with out having to have options at the end. Like text or what ever.

 

:xHere's what I would love to be able to do. Do leader... pick my object and then pick a second point and then a 3rd for the end of the extention of the leader. This way I can move any text to my leader.

 

Any sugestions??:cry:

 

Thank you!!:D

Link to comment
Share on other sites

  • Replies 23
  • Created
  • Last Reply

Top Posters In This Topic

  • alanjt

    6

  • Lee Mac

    4

  • NH3man!

    3

  • CadTechJGC184

    3

Top Posters In This Topic

Posted Images

NH3man.... right and then I would have to select "none" to end the command with out having to enter any text. If I hit enter to many times it doesn't complete the leader command and I have to start all over again.

 

The last job I was at it was a 3 point leader command and it exited the command with a complete leader. I thought it might be some kind of a lisp.

Link to comment
Share on other sites

Start the Qleader commnd, hit S for Settings; under Annotation > Annotation Type select None; Under Leader Line & Arrow > Number of Points select 2 (or 3).

Link to comment
Share on other sites

Ok, I want to be able to just do a simple leader with out having to have options at the end. Like text or what ever.

 

:xHere's what I would love to be able to do. Do leader... pick my object and then pick a second point and then a 3rd for the end of the extention of the leader. This way I can move any text to my leader.

 

Any sugestions??:cry:

 

Thank you!!:D

 

When you start the leader, do you go into Settings by either entering "s" or just hitting return?

 

You can there set it up for no Annotation, and 3 points maximum, and it should work like you want it to. :D

Link to comment
Share on other sites

  • 4 months later...
Ok, I want to be able to just do a simple leader with out having to have options at the end. Like text or what ever.

 

:xHere's what I would love to be able to do. Do leader... pick my object and then pick a second point and then a 3rd for the end of the extention of the leader. This way I can move any text to my leader.

 

Any sugestions??:cry:

 

Thank you!!:D

 

You can also set this lisp. It is modified by me, I deleted the ask for text function... so, It just draws a 3 point leader, but I also added the default ortho mode for the 3rd point so your last segment will always be made with ortho... Hope you like it.

LL.LSP

Link to comment
Share on other sites

once in a while i need an arrow w/o text. i just execute qleader and when it asks me to type the first line (or enter for mtext editor) i just hit escape, or if you allow it to open the mtext edit, then exit, it will give you a nice leader with a dogleg.

not sure if any of this is what you want, but i thought i'd run my mouth anyway.:wacko:

Link to comment
Share on other sites

This is what works for me. Since I have the ESC key programmed to my thumb button on the mouse. All I need to do is use the qleader command, then 2 clicks or 3 clicks for the leader points, then ESC with my thumb. Very quick and easy. Just another idea.:)

Link to comment
Share on other sites

This is what works for me. Since I have the ESC key programmed to my thumb button on the mouse. All I need to do is use the qleader command, then 2 clicks or 3 clicks for the leader points, then ESC with my thumb. Very quick and easy. Just another idea.:)

 

just in case you are interested, this should work:

(defun c:test (/ #Point1 #Point2 #Point3)
 (and (setq #Point1 (getpoint "\nSpecify first leader point: "))
      (setq #Point2 (getpoint #Point1 "\nSpecify next point: "))
      (not (grdraw #Point1 #Point2 7))
      (or (setq #Point3 (getpoint #Point2 "\nSpecify next point: "))
          (not (setq #Point3 nil))
      ) ;_ or
      (not (redraw))
      (if #Point3
        (command "_.qleader" "_non" #Point1 "_non" #Point2 "_non" #Point3 nil)
        (command "_.qleader" "_non" #Point1 "_non" #Point2 nil)
      ) ;_ if
 ) ;_ and
 (princ)
) ;_ defun

Link to comment
Share on other sites

Sometimes the quickies are the besties [ATTACH]14048[/ATTACH]

 

how true. probably the first macro i ever wrote and i use it multiple times, every day.

;MAKE A LAYER
(defun c:LM ()
(command "-layer" "make" )
(princ))

it's been sitting in my startup lisp since i knew how to write one.

Link to comment
Share on other sites

Sometimes the quickies are the besties [ATTACH]14048[/ATTACH]

 

We would call it "Es un rapidin" "it is a quickie" "but we usually apply it to other cases (s. E. x. actually :S hahahah)

 

Well... I checked the quickie but I still like more my own modified version, to avoid pressing F8 for ortho on the second segment. I think you can actually add it, (you can do everything, we know) but that will just give us another option to do the same thing.

 

On other matters, our Head office released a kind of CAD newspaper, and proposed us to come with our own version... and I will do it, and will mention you both and Robert Bell for your contributions. I will take one month to do it.. if work load allows me to, I will check your previous posts and check if we can some more stuff from you guys to incorporate it to our commands, and publish it in the newspaper... I will post the file when released or previous to the release in a couple weeks.

Link to comment
Share on other sites

We would call it "Es un rapidin" "it is a quickie" "but we usually apply it to other cases (s. E. x. actually :S hahahah)

 

Well... I checked the quickie but I still like more my own modified version, to avoid pressing F8 for ortho on the second segment. I think you can actually add it, (you can do everything, we know) but that will just give us another option to do the same thing.

 

On other matters, our Head office released a kind of CAD newspaper, and proposed us to come with our own version... and I will do it, and will mention you both and Robert Bell for your contributions. I will take one month to do it.. if work load allows me to, I will check your previous posts and check if we can some more stuff from you guys to incorporate it to our commands, and publish it in the newspaper... I will post the file when released or previous to the release in a couple weeks.

quickie with orthomode on 3rd pick point:

(defun c:test (/ *error* #OldOrthomode #Point1 #Point2 #Point3)
 (defun *error* (msg)
   (and #OldOrthomode (setvar "orthomode" #OldOrthomode))
 ) ;_ defun

 (setq #OldOrthomode (getvar "orthomode"))
 (setvar "orthomode" 0)
 (and (setq #Point1 (getpoint "\nSpecify first leader point: "))
      (setq #Point2 (getpoint #Point1 "\nSpecify next point: "))
      (not (grdraw #Point1 #Point2 7))
      (setvar "orthomode" 1)
      (or (setq #Point3 (getpoint #Point2 "\nSpecify next point: "))
          (not (setq #Point3 nil))
      ) ;_ or
      (not (redraw))
      (if #Point3
        (command "_.qleader" "_non" #Point1 "_non" #Point2 "_non" #Point3 nil)
        (command "_.qleader" "_non" #Point1 "_non" #Point2 nil)
      ) ;_ if
 ) ;_ and
 (and #OldOrthomode (setvar "orthomode" #OldOrthomode))
 (princ)
) ;_ defun

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...